HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

MSP API:- Remove service licenses to all the devices owned by tenants and MSP.

Remove service licenses to all devices the devices owned by tenant and MSP. However license assignment is not supported for the MSP owned devices but un-assignment is supported for the customers who are transitioning from Non-MSP to MSP mode to release license quantity for better utilization.

  1. include_customers: if provided, licensing will be unassigned only for the customers present in include_customers list.
  2. exclude_customers: if provided, licensing will be unassigned for msp/tenant customers except the customers present in exclude_customers list.
  3. If none of the above parameters are provided, licenses will be unassigned for all tenant customers devices.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Customers and service detail for unassigning licenses

include_customers
array of strings

Customer ids to be included for licensing/un-licensing.

include_customers
exclude_customers
array of strings

Customer ids to be excluded for licensing/un-licensing.

exclude_customers
services
array of strings
required

list of services e.g. ['pa', 'ucc', foundation_ap, advanced_switch_6200, foundation_70XX etc ...]. Check /platform/licensing/v1/services/config API response to know the list of supported services.

services*
Responses
200

Successfully un-assigned licenses.

400

A required parameter or field is missing.

401

Unauthorized access. Authentication failed or was not provided.

403

Access denied.

404

The requested entity was not found.

409

Request Unsuccessful

413

Request-size limit exceeded

417

Request-size limit exceeded

429

API Rate limit exceeded

500

Server error

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!